scala.reflect.generic

# PickleBuffer

#### class PickleBuffer extends AnyRef

Variable length byte arrays, with methods for basic pickling and unpickling.

Annotations
  @deprecated
Deprecated

  (Since version 2.9.1) scala.reflect.generic will be removed

Source
  PickleBuffer.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Scan
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. PickleBuffer
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PickleBuffer(data: Array[Byte], from: Int, to: Int)

   data

     The initial buffer

   from

     The first index where defined data are found

   to

     The first index where new data can be written

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### var bytes: Array[Byte]

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()
   Note

     not specified by SLS as a member of AnyRef

9. #### def createIndex: Array[Int]

   Pickle = majorVersion_Nat minorVersion_Nat nbEntries_Nat {Entry} Entry = type_Nat length_Nat [actual entries]

   Pickle = majorVersion_Nat minorVersion_Nat nbEntries_Nat {Entry} Entry = type_Nat length_Nat [actual entries]

   Assumes that the ..Version_Nat are already consumed.

   returns

     an array mapping entry numbers to locations in the byte array where the entries start.

10. #### def ensureCapacity(capacity: Int): Unit

11. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

14. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

15. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

19. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

20. #### def patchNat(pos: Int, x: Int): Unit

    Write a natural number `x` at position `pos`.

    Write a natural number `x` at position `pos`. If number is more than one byte, shift rest of array to make space.

    pos

      ...

    x

      ...

21. #### def peekByte(): Int

    Peek at the current byte without moving the read index

22. #### def readByte(): Int

    Read a byte

23. #### var readIndex: Int

24. #### def readLong(len: Int): Long

    Read a long number in signed big endian format, base 256.

25. #### def readLongNat(): Long

26. #### def readNat(): Int

    Read a natural number in big endian format, base 128.

    Read a natural number in big endian format, base 128. All but the last digits have bit 0x80 set.

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def times[T](n: Int, op: () ⇒ T): List[T]

    Perform operation `op` the number of times specified.

    Perform operation `op` the number of times specified. Concatenate the results into a list.

29. #### def toIndexedSeq: IndexedSeq[(Int, Array[Byte])]

    Returns the buffer as a sequence of (Int, Array[Byte]) representing (tag, data) of the individual entries.

    Returns the buffer as a sequence of (Int, Array[Byte]) representing (tag, data) of the individual entries. Saves and restores buffer state.

30. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

31. #### def until[T](end: Int, op: () ⇒ T): List[T]

    Perform operation `op` until the condition `readIndex == end` is satisfied.

    Perform operation `op` until the condition `readIndex == end` is satisfied. Concatenate results into a list.

    end

      ...

    op

      ...

    returns

      ...

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

35. #### def writeByte(b: Int): Unit

    Write a byte of data

36. #### var writeIndex: Int

37. #### def writeLong(x: Long): Unit

    Write a long number `x` in signed big endian format, base 256.

    Write a long number `x` in signed big endian format, base 256.

    x

      The long number to be written.

38. #### def writeLongNat(x: Long): Unit

    Like writeNat, but for longs.

    Like writeNat, but for longs. This is not the same as writeLong, which writes in base 256. Note that the binary representation of LongNat is identical to Nat if the long value is in the range Int.MIN_VALUE to Int.MAX_VALUE.

39. #### def writeNat(x: Int): Unit

    Write a natural number in big endian format, base 128.

    Write a natural number in big endian format, base 128. All but the last digits have bit 0x80 set.

### Inherited from AnyRef

### Inherited from Any